petsc-3.7.7 2017-09-25
Report Typos and Errors

# TSSetEventTolerances

Set tolerances for event zero crossings when using event handler

### Synopsis

    #include "petscts.h"
    PetscErrorCode TSSetEventTolerances(TS ts,PetscReal tol,PetscReal vtol[])

Logically Collective

### Input Arguments

| ts | - time integration context
| tol | - scalar tolerance, PETSC_DECIDE to leave current value
| vtol | - array of tolerances or NULL, used in preference to tol if present

### Options Database Keys

-ts_event_tol <tol> tolerance for event zero crossing - Notes: Must call TSSetEventHandler() before setting the tolerances.

The size of vtol is equal to the number of events.

### See Also

TS, TSEvent, TSSetEventHandler()

Level:beginner
Location:src/ts/event/tsevent.c
Index of all TS routines
Table of Contents for all manual pages
Index of all manual pages